File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
The moose likes Tomcat and the fly likes Installing tomcat on Linux Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » Tomcat
Bookmark "Installing tomcat on Linux" Watch "Installing tomcat on Linux" New topic

Installing tomcat on Linux

shivani anand
Ranch Hand

Joined: Dec 28, 2000
Posts: 155
I've installed tomcat on linux using following rpm file jakarta-tomcat-5.5.6.tar.gz
I also installed java using following rpm

Now when I start tomcat I see following in Catalina.out
$cat catalina.out
This release of Apache Tomcat was packaged to run on J2SE 5.0
or later. It can be run on earlier JVMs by downloading and
installing a compatibility package from the Apache Tomcat
binary download page.
Please advise what I need to do now..
If I need to uninstall java and reinstall send me exact file name to download and also syntax to unistall java.

Ben Souther

Joined: Dec 11, 2004
Posts: 13410

You can either upgrade java

or get the compat packages that allow tomcat to run with j2sdk-1.4.

Java API J2EE API Servlet Spec JSP Spec How to ask a question... Simple Servlet Examples jsonf
William Brogden
Author and all-around good cowpoke

Joined: Mar 22, 2000
Posts: 13037
Alternately use one of the Tomcat 5.0.x releases which work with Java 1.4 - I am running 5.0.28 on Linux - Sun's Java Desktop System (SuSE).
I agree. Here's the link:
subject: Installing tomcat on Linux
It's not a secret anymore!